import { ProviderMeta, ProviderSearchOptions, ProviderTorrent, Provider, ProviderError } from './providers';
export interface ProvidersResult<T> {
    items: T;
    errors: ProviderError[];
}
export declare function getMeta(targetProviders: Provider[]): Promise<ProvidersResult<ProviderMeta[]>>;
export declare function search(targetProviders: Provider[], query: string, options: ProviderSearchOptions): Promise<ProvidersResult<ProviderTorrent[]>>;
